// GouraudView.h : interface of the CGouraudView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_GOURAUDVIEW_H__5548F250_59AB_11D3_B8E9_D2E0FE590D24__INCLUDED_)
#define AFX_GOURAUDVIEW_H__5548F250_59AB_11D3_B8E9_D2E0FE590D24__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CGouraudView : public CView
{
protected: // create from serialization only
	CGouraudView();
	DECLARE_DYNCREATE(CGouraudView)

// Attributes
public:
	CGouraudDoc* GetDocument();






// Operations



public:	
	



	void Pika(int, int, int, double);
	void Crta(double, double, double, double, short);
	void Trikotnik(double, double, double, double, double, double);
	void ZapisTocke(int, int, int, short);
	void Izris(void);
	void IntenzitetaOgljisc(void);
	void Peresa (bool);

	CPen Pen[256];
	

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGouraudView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	void IzpisVhodnihPodatkov(int,int);
	virtual ~CGouraudView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CGouraudView)
	afx_msg void OnGouraudPrikazi();
	afx_msg void OnGouraudSencenje();
	afx_msg void OnGouraudVnospodatkov();
	afx_msg void OnGouraudIzhod();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in GouraudView.cpp
inline CGouraudDoc* CGouraudView::GetDocument()
   { return (CGouraudDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////


//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GOURAUDVIEW_H__5548F250_59AB_11D3_B8E9_D2E0FE590D24__INCLUDED_)
